Subject: Re: [PATCH 4/5] README.md: don't call git stupid in the title

From: Matthieu Moy <[email-masked]>
Date: Tue, 23 Feb 2016 21:51:06 +0100

Junio C Hamano <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes:
>
>> "the stupid content tracker" was true in the early days of Git, but
>> hardly applicable these days. "fast, scalable, distributed" describes
>> Git more accuralety.
>>
>> Also, "stupid" can be seen as offensive by some people. Let's not use it
>> in the very first words of the README.
>>
>> The new formulation is taken from the description of the Debian package.
>>
>> Signed-off-by: Matthieu Moy <[email-masked]>
>> ---
>
> This self-derogatory reference shouldn't offend those who didn't
> help write it.
>
> Having said that, I agree with the spirit of 4/5 and 5/5; but it is
> sad that this line is not resurrected by 5/5 in some way.

Do you mean something like this:

diff --git a/README.md b/README.md
index 40de78e..b1c89bd 100644
--- a/README.md
+++ b/README.md
@@ -41,7 +41,8 @@ list.  The discussion following them give a good reference for
 project status, development direction and remaining tasks.
 
 The name "git" was given by Linus Torvalds when he wrote the very
-first version. He described it as (depending on your mood):
+first version. He described the tool as "the stupid content tracker"
+and the name as (depending on your mood):
 
  - random three-letter combination that is pronounceable, and not
    actually used by any common UNIX command.  The fact that it is a

?

Why not, but I don't think it adds really much, and I'd rather keep the
README as short as possible.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/